Subject: gitk broken or user error?

From: Seth Falcon <[email-masked]>
Date: Sun, 12 Nov 2006 09:00:16 -0800

Hi,

I get the following error when invoking gitk with any command line
argument, for example, 'gitk --all':

    ziti:~/proj/R-devel seth$ gitk --all
    Error in startup script: unknown option "-state"
        while executing
    ".bar.view entryconf 3 -state normal"
        invoked from within
    "if {$cmdline_files ne {} || $revtreeargs ne {}} {
        # create a view for the files/dirs specified on the command line
        set curview 1
        set selec..."
        (file "/Users/seth/scm/bin/gitk" line 6298)

I tried a certainly incorrect thing; just commenting out the offending
lines:

diff --git a/gitk b/gitk
index ab383b3..a6c0a9f 100755
--- a/gitk
+++ b/gitk
@@ -6305,8 +6305,8 @@ if {$cmdline_files ne {} || $revtreeargs
     set viewargs(1) $revtreeargs
     set viewperm(1) 0
     addviewmenu 1
-    .bar.view entryconf 2 -state normal
-    .bar.view entryconf 3 -state normal
+#    .bar.view entryconf 2 -state normal
+#    .bar.view entryconf 3 -state normal
 }
 
 if {[info exists permviews]} {

And now gitk _seems_ to work.  No error message, and I can pass
argument to gitk like --all (wow, very useful).

I posted about this in October [*1*], but didn't get any response.
I'd like to be able to use gitk without my must-be-wrong patch.  This
is on OS X ppc (git version 1.4.4.rc1.g73347) with Tcl & Tk at 8.4.7.
Can I provide more info?  Have I missed a configuration step?

Thanks,

+ seth